%define upstream_name    Net-SFTP-Foreign
%define upstream_version 1.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Adaptor for Net::SFTP::Attributes compatibility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
SFTP stands for SSH File Transfer Protocol and is a method of transferring
files between machines over a secure, encrypted connection (as opposed to
regular FTP, which functions over an insecure connection). The security in
SFTP comes through its integration with SSH, which provides an encrypted
transport layer over which the SFTP commands are executed.

Net::SFTP::Foreign is a Perl client for the SFTP version 3 as defined in
the SSH File Transfer Protocol IETF draft, which can be found at the
http://www.openssh.org/txt/draft-ietf-secsh-filexfer-02.txt manpage (also
included on this package distribution, on the 'rfc' directory).

Net::SFTP::Foreign uses any compatible 'ssh' command installed on the
system (for instance, OpenSSH 'ssh') to establish the secure connection to
the remote server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO samples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.810.0-3pclos2017
- rebuild against updates

